# Interface SmiSyntaxElement

public interface SmiSyntaxElement
The SmiSyntaxElement represents an enumerated value or a range restriction. Which of both is represented is returned by `getType()`. For enumerations `getMin()` equals `getMax()` equals `getValue()`.

Since:
  1.2 (Pro edition only)
Author:
  Frank Fock

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `SmiSyntaxElement.Type`
  The type of enumerated value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  Gets the ASN.1 comment associated with this syntax element.
  `String`
  `getLabel()`
  Gets the label of the enumerated value.
  `long`
  `getMax()`
  Gets the maximum value of the range (inclusive).
  `long`
  `getMin()`
  Gets the minimum value of the range (inclusive).
  `SmiSyntaxElement.Type`
  `getType()`
  Gets the enumeration type
  `long`
  `getValue()`
  Gets the long value of the enumerated value (or the min value of a range restriction).
  `String`
  `toString()`

- ## Method Details

  - ### getLabel

    String getLabel()
    Gets the label of the enumerated value.
    Returns:
      the label string or `null` if this is a range restriction.

  - ### getValue

    long getValue()
    Gets the long value of the enumerated value (or the min value of a range restriction).
    Returns:
      the numeric value of this element.

  - ### getMin

    long getMin()
    Gets the minimum value of the range (inclusive).
    Returns:
      the minimum value.

  - ### getMax

    long getMax()
    Gets the maximum value of the range (inclusive).
    Returns:
      the maximum value.

  - ### getType

    SmiSyntaxElement.Type getType()
    Gets the enumeration type
    Returns:
      an enumeration `SmiSyntaxElement.Type`.

  - ### getComment

    String getComment()
    Gets the ASN.1 comment associated with this syntax element.
    Returns:
      the comment string or `null` if no comment is available.
    Since:
      2.0.0

  - ### toString

    String toString()
    Overrides:
      `toString` in class `Object`